Bug 10309 - Error Mounting ext2 filesystem on nonexistant partition
Error Mounting ext2 filesystem on nonexistant partition
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-22 18:02 EST by Michael McConachie
Modified: 2013-09-02 01:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-12 14:25:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael McConachie 2000-03-22 18:02:00 EST
Upgrade from 6.1 to 6.2.  Several scsi drives in the system,

Adaptec 2920C Controller:
  sda
       Device Boot    Start       End    Blocks   Id  System
    /dev/sda1   *         1        41    329301   83  Linux
    /dev/sda2            42        73    257040   82  Linux swap
    /dev/sda3            74       521   3598560   83
Linux
  sdb
   /dev/sdb1             1       261   2096451   83  Linux
  sdc
    /dev/sdc1             1       499    510960   fd  Linux raid autodetect
  sdd
    /dev/sdd1             1      1020    511500+  fd  Linux raid autodetect
  sde
    /dev/sde1             1       515    527344   fd  Linux raid autodetect
QLogic ISP1020 Controller
  sdf
    /dev/sdf1             1       255   2048256   83  Linux

Using the upgrade with both standard Install and Expert Install, I end up
with and error message of "Error mounting ext2 filesystem on sdb4: Device
not configured"  with and "OK" checkbox.  If Next is picked anyway, install
stalls out.

Hitting Back to go to install method, then picking Custom Install, all the
drives and their partitions show up normally (no sdb4, either.  Which is
good, since it doesn't exist ;).

--gleep
No sdb4 is shown when adaptec driver probes the scsi IDs for drives in the
system log.  No errors appear in system or install log (other than e2fs
maximal count warnings).

Checking from the shell, no partitions are mounted.  If partitions are
mounted by hand (mount /tmp/sda1 /mnt/sysimage, etc), the installer will
show an error for each one (device busy) then show the error about sdb4
again.

Exception Report in Text mode:

Traceback (innermost last):
  File "/usr/ving/anaconda", line 342, in ?
     intf.run(todo, test = test)
  File "/usr/lib/anaconda/text.py", line 1163, in run
   rc = apply (step[1](),  (dir,) +step[2])
  File "/usr/lib/anaconda/text.py", line 317, in __call__
     todo.upgradeFindPackages (root)
  File "/usr/lib/anaconda/todo.py". line 721, in
     upgradeFindPackages
     isys.mount('/tmp' + root, '/mnt/sysimage')
  File "/usr/lib/anaconda/isys.py". line 56, in
     mount return _isys.mount(fstype, device, location)
  SystemError: (16, 'Device or resource busy')
Comment 1 Michael McConachie 2000-03-23 13:35:59 EST
Oh, and fstab entries:
/dev/sda1               /                       ext2    defaults        1 1
/dev/sda3               /usr                    ext2    defaults        1 2
/dev/sda2               swap                    swap    defaults        0 0
/dev/sdb1               /usr/local              ext2    defaults        1 2
/dev/sdf1               /home                   ext2    defaults        1 2
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,ro 0 0
/dev/fd0                /mnt/floppy             ext2    noauto,owner    0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/pts                devpts  gid=5,mode=620  0 0
/dev/md0                /home/mux               ext2    defaults        0 0

The 3disk raid0 doesn't have anything of system importance on it (mostly empty,
in fact).
Comment 2 Jay Turner 2000-04-17 15:02:59 EDT
What does /etc/raidtab show??  I am betting that something on your system is
referring to this sdb4 without you knowing about it.  That is the only reason
that the upgrade routine would attempt to mount that partition.
Comment 3 Michael McConachie 2000-04-17 16:58:59 EDT
Here's my /etc/raidtab:

# Sample raid-0 configuration

raiddev                 /dev/md0

raid-level              0    # it's not obvious but this *must* be
                             # right after raiddev

persistent-superblock   1    # set this to 1 if you want autostart,
                             # BUT SETTING TO 1 WILL DESTROY PREVIOUS
                             # CONTENTS if this is a RAID0 array created
                             # by older raidtools (0.40-0.51) or mdtools!

chunk-size              16

nr-raid-disks           3
nr-spare-disks          0

device                  /dev/sdc1
raid-disk               0

device                  /dev/sdd1
raid-disk               1

device                  /dev/sde1
raid-disk               2

-----------------

Here's the spewage from dmesg on normal startup (6.1).

scsi0 : Adaptec AHA274x/284x/294x (EISA/VLB/PCI-Fast SCSI) 5.1.20/3.2.4
       <Adaptec AIC-7850 SCSI host adapter>
scsi : 1 host.
(scsi0:0:0:0) Synchronous at 10.0 Mbyte/sec, offset 15.
  Vendor: DEC       Model: RZ29L-AS (C) DEC  Rev: 0654
  Type:   Direct-Access                      ANSI SCSI revision: 02
Detected scsi disk sda at scsi0, channel 0, id 0, lun 0
(scsi0:0:1:0) Synchronous at 10.0 Mbyte/sec, offset 15.
  Vendor: SEAGATE   Model: ST32550N          Rev: 0012
  Type:   Direct-Access                      ANSI SCSI revision: 02
Detected scsi disk sdb at scsi0, channel 0, id 1, lun 0
(scsi0:0:2:0) Synchronous at 5.0 Mbyte/sec, offset 15.
  Vendor: SONY      Model: CD-ROM CDU-76S    Rev: 1.1a
  Type:   CD-ROM                             ANSI SCSI revision: 02
Detected scsi CD-ROM sr0 at scsi0, channel 0, id 2, lun 0
(scsi0:0:3:0) Synchronous at 6.67 Mbyte/sec, offset 15.
  Vendor: ARCHIVE   Model: Python 28388-XXX  Rev: 5.45
  Type:   Sequential-Access                  ANSI SCSI revision: 02
(scsi0:0:4:0) Synchronous at 10.0 Mbyte/sec, offset 15.
  Vendor: SEAGATE   Model: ST3600N           Rev: 9686
  Type:   Direct-Access                      ANSI SCSI revision: 02
Detected scsi disk sdc at scsi0, channel 0, id 4, lun 0
(scsi0:0:5:0) Synchronous at 10.0 Mbyte/sec, offset 15.
  Vendor: SEAGATE   Model: ST3600N           Rev: 9686
  Type:   Direct-Access                      ANSI SCSI revision: 02
Detected scsi disk sdd at scsi0, channel 0, id 5, lun 0
(scsi0:0:6:0) Synchronous at 10.0 Mbyte/sec, offset 15.
  Vendor: CONNER    Model: CFA540S           Rev: 0EAD
  Type:   Direct-Access                      ANSI SCSI revision: 02
Detected scsi disk sde at scsi0, channel 0, id 6, lun 0
(scsi0:0:2:0) Performing Domain validation.
(scsi0:0:2:0) Successfully completed Domain validation.
Uniform CDROM driver Revision: 2.56
SCSI device sda: hdwr sector= 512 bytes. Sectors= 8380080 [4091 MB] [4.1 GB]
 sda: sda1 sda2 sda3
SCSI device sdb: hdwr sector= 512 bytes. Sectors= 4194058 [2047 MB] [2.0 GB]
 sdb: sdb1
SCSI device sdc: hdwr sector= 512 bytes. Sectors= 1023484 [499 MB] [0.5 GB]
 sdc: sdc1
SCSI device sdd: hdwr sector= 512 bytes. Sectors= 1023484 [499 MB] [0.5 GB]
 sdd: sdd1
SCSI device sde: hdwr sector= 512 bytes. Sectors= 1056708 [515 MB] [0.5 GB]
 sde: sde1
qlogicisp : new isp1020 revision ID (2)
scsi1 : QLogic ISP1020 SCSI on PCI bus 02 device 00 irq 9 MEM base 0xc802b000
scsi : 2 hosts.
  Vendor: DEC       Model: RZ28D    (C) DEC  Rev: 0008
  Type:   Direct-Access                      ANSI SCSI revision: 02
Detected scsi disk sdf at scsi1, channel 0, id 1, lun 0
SCSI device sdf: hdwr sector= 512 bytes. Sectors= 4110480 [2007 MB] [2.0 GB]
 sdf: sdf1
raid0 personality registered
autodetecting RAID arrays
(read) sdc1's sb offset: 510848 [events: 00000076]
(read) sdd1's sb offset: 511424 [events: 00000076]
(read) sde1's sb offset: 527232 [events: 00000076]
autorun ...
considering sde1 ...
  adding sde1 ...
  adding sdd1 ...
  adding sdc1 ...
created md0
bind<sdc1,1>
bind<sdd1,2>
bind<sde1,3>
running: <sde1><sdd1><sdc1>
now!
sde1's event counter: 00000076
sdd1's event counter: 00000076
sdc1's event counter: 00000076
mask fffffff0
 rdev->size: 527232
 masked rdev->size: 527232
  new md_size: 527232
 rdev->size: 511424
 masked rdev->size: 511424
  new md_size: 1038656
 rdev->size: 510848
 masked rdev->size: 510848
  new md_size: 1549504
md0: max total readahead window set to 384k
md0: 3 data-disks, max readahead per data-disk: 128k
raid0: looking at sdc1
raid0:   comparing sdc1(510848) with sdc1(510848)
raid0:   END
raid0:   ==> UNIQUE
raid0: 1 zones
raid0: looking at sdd1
raid0:   comparing sdd1(511424) with sdc1(510848)
raid0:   NOT EQUAL
raid0:   comparing sdd1(511424) with sdd1(511424)
raid0:   END
raid0:   ==> UNIQUE
raid0: 2 zones
raid0: looking at sde1
raid0:   comparing sde1(527232) with sdc1(510848)
raid0:   NOT EQUAL
raid0:   comparing sde1(527232) with sdd1(511424)
raid0:   NOT EQUAL
raid0:   comparing sde1(527232) with sde1(527232)
raid0:   END
raid0:   ==> UNIQUE
raid0: 3 zones
raid0: FINAL 3 zones
zone 0
 checking sdc1 ... contained as device 0
  (510848) is smallest!.
 checking sdd1 ... contained as device 1
 checking sde1 ... contained as device 2
 zone->nb_dev: 3, size: 1532544
current zone offset: 510848
zone 1
 checking sdc1 ... nope.
 checking sdd1 ... contained as device 0
  (511424) is smallest!.
 checking sde1 ... contained as device 1
 zone->nb_dev: 2, size: 1152
current zone offset: 511424
zone 2
 checking sdc1 ... nope.
 checking sdd1 ... nope.
 checking sde1 ... contained as device 0
  (527232) is smallest!.
 zone->nb_dev: 1, size: 15808
current zone offset: 527232
done.
raid0 : md_size is 1549504 blocks.
raid0 : conf->smallest->size is 1152 blocks.
raid0 : nb_zone is 1346.
raid0 : Allocating 10768 bytes for hash.
md: updating md0 RAID superblock on device
sde1 [events: 00000077](write) sde1's sb offset: 527232
sdd1 [events: 00000077](write) sdd1's sb offset: 511424
sdc1 [events: 00000077](write) sdc1's sb offset: 510848
.
... autorun DONE.

---------------

The box is over here in my cube, your welcome to come over (or drag it to the
lab) for testing.
Comment 4 Andrew Gilmore 2000-05-02 11:18:59 EDT
This bug's status is NEW, but is also listed as one of the bugs fixed by the
installer updates?

See http://www.redhat.com/support/errata/RHBA-2000010-01.html

What really is going on?
Comment 5 Brock Organ 2000-05-04 14:49:59 EDT
Alternate traceback for same error produced at the exact same point on the same
hardware michael used in the initial report:

Tracebac (innermost last):
  File "/usr/bin/anaconda". line 342, in ?
    intf.run(todo, test = test)
  File "/usr/lib/anaconda/text.py", line 1163
in run
    rc = apply (step[1](), (dir,) + step [2])
  File "/usr/lib/anaconda/text.py", line 317,
in __call__
    todo.upgradeFindPackages (root)
  File "/usr/lib/anaconda/todo.py", line 722,
in upgradeFindPackages
    fstab.readFstab('/mnt/sysimage/etc/fstab',
self.fstab)
  File "/usr/lib/anaconda/fstab.py", line 705,
in readFstab
     fields[2], raidByDev[int(fields[0][7:])])
KeyError: 0
Comment 6 Michael McConachie 2000-05-05 17:41:59 EDT
Sent to Bat Man yesterday:

Tracebac (innermost last):
  File "/usr/bin/anaconda". line 342, in ?
    intf.run(todo, test = test)
  File "/usr/lib/anaconda/text.py", line 1163
in run
    rc = apply (step[1](), (dir,) + step [2])
  File "/usr/lib/anaconda/text.py", line 317,
in __call__
    todo.upgradeFindPackages (root)
  File "/usr/lib/anaconda/todo.py", line 722,
in upgradeFindPackages
    fstab.readFstab('/mnt/sysimage/etc/fstab',
self.fstab)
  File "/usr/lib/anaconda/fstab.py", line 705,
in readFstab
     fields[2], raidByDev[int(fields[0][7:])])
KeyError: 0
Comment 7 Michael McConachie 2000-05-19 15:33:59 EDT
Exception Traceback from latest attempt, using the test tree nfsboot:

  File "/usr/bin/anaconda", line 363, in ?
    intf.run(todo, test = test)
  File "/usr/lib/anaconda/text.py", line 1054, in run
    rc = apply (step[1](), (dir,) + step[2])
  File "/usr/lib/anaconda/text.py", line 307, in __call__
    parts = todo.upgradeFindRoot ()
  File "/usr/lib/anaconda/todo.py", line 653, in upgradeFindRoot
    mdList = raid.startAllRaid(drives)
  File "/usr/lib/anaconda/raid.py", line 61, in startAllRaid
    for (mdDevice. deviceList) in scanForRaid(driveList):
  File "/usr/lib/anaconda/raid.py", line 54, in scanForRaid raise
    SystemError, str SystemError: missing components of raid device md0


    --gleep
Comment 8 Brock Organ 2000-06-20 17:24:02 EDT
one of the drives used to produce these results apparently has issues ...
removal of said bad drive from system allowed the install to proceed ...

Note You need to log in before you can comment on or make changes to this bug.